﻿@model Tuple<QRConfigView, CompanyView>
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@Companies.QRCodeConfiguration</h1>

@using (Html.BeginForm("ConfirmAction", "Companies", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formQRConfig" }))
{
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.CD</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.SN</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.Item2.Server, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.DBName</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.Item2.CompanyDB, new { @class = "form-control" })
                </div>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.Settings</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.Separator</label>
                <div class="col-md-4">
                    <input class="form-control" value='@(Model.Item1.Separator)' id="Separator" name="Separator" />
                </div>
            </div>
        </div>
        <div class="panel-body">
            <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                <div id="TableItemsForm">
                    @Html.Partial("_QRConfigTable", Model.Item1)
                </div>
            </div>
        </div>

    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@Companies.QRUpdateMessage</strong>
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="button" id="btnOk" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
            @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
        </div>
    </div>

    @Html.HiddenFor(model => model.Item2.IdCompany, new { @id = "IdCompany" });
}

@Html.Partial("_MessagePartial", @Companies.AYSTYWTRTR)
@Scripts.Render("~/bundles/QRConfig")
